| Home | Libraries | People | FAQ | More

## Function template is_strictly_decreasing

boost::algorithm::is_strictly_decreasing

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator>
      bool is_strictly_decreasing(ForwardIterator first, ForwardIterator last);

## Description

| Note
This function will return false for sequences that contain items that compare equal. If that is not what you intended, you should use is_decreasing instead.

Parameters:

`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence

Returns: | true if the entire sequence is strictly decreasing; i.e, each item is less than the previous one